+++
date = "2018-11-08"
weight = 100

title = "18.12 TestReports 20181031"

aliases = [
    "/old-wiki/18.12/TestReports/20181031"
]
+++

Testing results considerations:

1.  Manual test cases were executed on target Arm, target AMD64 and SDK
    AMD64 images when applicable.
2.  All automated test cases already integrated into LAVA system were
    executed on the following images: target Arm, target AMD64,
    development AMD64, and SDK AMD64.
3.  Failures and partial failures were filed as bugs in Phabricator for
    further investigation and analysis.

For OSTree tests, please refer to [{{\#rel2abs:
.}}/OSTree]().

For tiny-containers tests, please refer to [{{\#rel2abs:
.}}/tiny-containers]().

-----

The platform image used for these tests are:

  - [Minimal Arm64
    (20181031)](https://images.apertis.org/daily/18.12/20181031.0/arm64/minimal/apertis_18.12-minimal-arm64-uboot_20181031.0.img.gz)
  - [Minimal AMD64
    (20181031)](https://images.apertis.org/daily/18.12/20181031.0/amd64/minimal/apertis_18.12-minimal-amd64-uefi_20181031.0.img.gz)
  - [Target AMD64
    (20181031)](https://images.apertis.org/daily/18.12/20181031.0/amd64/target/apertis_18.12-target-amd64-uefi_20181031.0.img.gz)
  - [SDK AMD64
    (20181031)](https://images.apertis.org/daily/18.12/20181031.0/amd64/sdk/apertis_18.12-sdk-amd64-sdk_20181031.0.vdi.gz)

| ID                                                                                                                              | Description                                                                                                                                                                                                                                                                                                | Type           | Minimal Arm | Minimal SabreLite | Minimal Arm64 | Minimal AMD64 | Target Arm | Target AMD64 | SDK AMD64  | Tested By | Notes                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| ------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------- | ----------- | ----------------- | ------------- | ------------- | ---------- | ------------ | ---------- | --------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **Sanity**                                                                                                                      |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [sanity-check](https://wiki.apertis.org/QA/Test%20Cases/sanity-check)                                                           | Check that the Apertis system basically works. (manual)                                                                                                                                                                                                                                                    | Not Integrated | bgcolor= |  | bgcolor= |        | bgcolor= |    | bgcolor= |    | bgcolor= | | bgcolor= |   | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [sanity-check](https://wiki.apertis.org/QA/Test%20Cases/sanity-check)                                                           | Check that the Apertis system basically works. (automated)                                                                                                                                                                                                                                                 | Integrated     | PASSED      | PASSED            | PASSED        | PASSED        | PASSED     | PASSED       | PARTIAL    | andrewsh  | [1](https://lava.collabora.co.uk/scheduler/job/1332295) [2](https://lava.collabora.co.uk/scheduler/job/1332302) [3](https://lava.collabora.co.uk/scheduler/job/1332339) [4](https://lava.collabora.co.uk/scheduler/job/1332297) [5](https://lava.collabora.co.uk/scheduler/job/1332298) [6](https://lava.collabora.co.uk/scheduler/job/1332299) [7](https://lava.collabora.co.uk/scheduler/job/1332300) [8](https://lava.collabora.co.uk/scheduler/job/1332301) [9](https://lava.collabora.co.uk/scheduler/job/1332306) [10](https://lava.collabora.co.uk/scheduler/job/1332307) [11](https://lava.collabora.co.uk/scheduler/job/1332308) [12](https://lava.collabora.co.uk/scheduler/job/1332309) [13](https://lava.collabora.co.uk/scheduler/job/1332344) [14](https://lava.collabora.co.uk/scheduler/job/1332345) [15](https://lava.collabora.co.uk/scheduler/job/1332346) [16](https://lava.collabora.co.uk/scheduler/job/1332347) [17](https://lava.collabora.co.uk/scheduler/job/1332304) |
| **Booting**                                                                                                                     |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [image-bootable](https://wiki.apertis.org/QA/Test%20Cases/image-bootable)                                                       | Test whether the image is bootable.                                                                                                                                                                                                                                                                        | Not Integrated | bgcolor= |  | bgcolor= |        | bgcolor= |    | bgcolor= |    | bgcolor= | | bgcolor= |   | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [image-gui-start](https://wiki.apertis.org/QA/Test%20Cases/image-gui-start)                                                     | Test whether the image starts a graphical environment.                                                                                                                                                                                                                                                     | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| **HW Acceleration**                                                                                                             |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [x-hw-accelerated](https://wiki.apertis.org/QA/Test%20Cases/x-hw-accelerated)                                                   | Test whether the correct GLES2 render is used.                                                                                                                                                                                                                                                             | Not Integrated | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| **GStreamer**                                                                                                                   |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [gstreamer1.0-decode](https://wiki.apertis.org/QA/Test%20Cases/gstreamer1.0-decode)                                             | Test video and audio decoders and demuxers on a list of media.                                                                                                                                                                                                                                             | Integrated     | bgcolor= |  | bgcolor= |        | bgcolor= |    | bgcolor= |    | PASSED     | PASSED       | PASSED     | andrewsh  | [18](https://lava.collabora.co.uk/scheduler/job/1332298) [19](https://lava.collabora.co.uk/scheduler/job/1332307) [20](https://lava.collabora.co.uk/scheduler/job/1332345)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| **Multitouch**                                                                                                                  |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [webkit2gtk-mt-touch-events](https://wiki.apertis.org/QA/Test%20Cases/webkit2gtk-mt-touch-events)                               | Test implementation of W3C touch events API in WebKit2GTK.                                                                                                                                                                                                                                                 | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| **WebKit**                                                                                                                      |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [webkit2gtk-actor-tiles](https://wiki.apertis.org/QA/Test%20Cases/webkit2gtk-actor-tiles)                                       | Test implementation of actor-based tiled backing store in webkit2GTK.                                                                                                                                                                                                                                      | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [webkit2gtk-event-handling-redesign](https://wiki.apertis.org/QA/Test%20Cases/webkit2gtk-event-handling-redesign)               | Test WebKit2Gtk ability to scroll by touch with inertial behaviour after the touch ended.                                                                                                                                                                                                                  | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| **Webkit2GTK-AC**                                                                                                               |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [webkit2gtk-ac-3d-rendering](https://wiki.apertis.org/QA/Test%20Cases/webkit2gtk-ac-3d-rendering)                               | Test that 3D transforms are applied correctly.                                                                                                                                                                                                                                                             | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [webkit2gtk-ac-animations](https://wiki.apertis.org/QA/Test%20Cases/webkit2gtk-ac-animations)                                   | Test that Webkit2GTK actors created for representing layers animate properly.                                                                                                                                                                                                                              | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [webkit2gtk-ac-scrolling](https://wiki.apertis.org/QA/Test%20Cases/webkit2gtk-ac-scrolling)                                     | Test that actors created for representing layers scroll properly.                                                                                                                                                                                                                                          | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| **Gettext**                                                                                                                     |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [gettext-i18n](https://wiki.apertis.org/QA/Test%20Cases/gettext-i18n)                                                           | Check that gettext internationalization works.                                                                                                                                                                                                                                                             | Integrated     | bgcolor= |  | bgcolor= |        | bgcolor= |    | bgcolor= |    | PASSED     | PASSED       | PASSED     | andrewsh  | [21](https://lava.collabora.co.uk/scheduler/job/1332298) [22](https://lava.collabora.co.uk/scheduler/job/1332307) [23](https://lava.collabora.co.uk/scheduler/job/1332345)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| **Meta Data Management**                                                                                                        |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [gupnp-services](https://wiki.apertis.org/QA/Test%20Cases/gupnp-services)                                                       | Run a few tests related to service browsing, introspection, etc.                                                                                                                                                                                                                                           | Integrated     | FAILED      | FAILED            | PARTIAL       | PARTIAL       | FAILED     | FAILED       | PARTIAL    | andrewsh  | [24](https://lava.collabora.co.uk/scheduler/job/1332295) [25](https://lava.collabora.co.uk/scheduler/job/1332302) [26](https://lava.collabora.co.uk/scheduler/job/1332339) [27](https://lava.collabora.co.uk/scheduler/job/1332298) [28](https://lava.collabora.co.uk/scheduler/job/1332307) [29](https://lava.collabora.co.uk/scheduler/job/1332345) [30](https://lava.collabora.co.uk/scheduler/job/1332304)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| [libsoup-unit](https://wiki.apertis.org/QA/Test%20Cases/libsoup-unit)                                                           | Run the unit tests that ship with the library against the running system.                                                                                                                                                                                                                                  | Integrated     | bgcolor= |  | bgcolor= |        | bgcolor= |    | bgcolor= |    | PASSED     | PASSED       | PASSED     | andrewsh  | [31](https://lava.collabora.co.uk/scheduler/job/1332298) [32](https://lava.collabora.co.uk/scheduler/job/1332307) [33](https://lava.collabora.co.uk/scheduler/job/1332345)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| [tracker-indexing-local-storage](https://wiki.apertis.org/QA/Test%20Cases/tracker-indexing-local-storage)                       | Check tracker indexing of local storage and journal behaviour.                                                                                                                                                                                                                                             | Integrated     | bgcolor= |  | bgcolor= |        | bgcolor= |    | bgcolor= |    | FAILED     | FAILED       | FAILED     | andrewsh  | [34](https://lava.collabora.co.uk/scheduler/job/1332298) [35](https://lava.collabora.co.uk/scheduler/job/1332307) [36](https://lava.collabora.co.uk/scheduler/job/1332345)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| [tracker-indexing-mass-storage](https://wiki.apertis.org/QA/Test%20Cases/tracker-indexing-mass-storage)                         | Check tracker indexes mass storage devices on insertion.                                                                                                                                                                                                                                                   | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [tumbler-thumbnailing](https://wiki.apertis.org/QA/Test%20Cases/tumbler-thumbnailing)                                           | Check that all thumbnailing features of tumbler are working properly (large, small, videos, documents, images).                                                                                                                                                                                            | Integrated     | bgcolor= |  | bgcolor= |        | bgcolor= |    | bgcolor= |    | bgcolor= | | bgcolor= |   | PASSED     | andrewsh  | [37](https://lava.collabora.co.uk/scheduler/job/1332301)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| **Grilo**                                                                                                                       |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [grilo](https://wiki.apertis.org/QA/Test%20Cases/grilo)                                                                         | Check grilo metadata notifications, and filesystem browsing.                                                                                                                                                                                                                                               | Integrated     | PASSED      | PASSED            | PASSED        | PASSED        | PASSED     | PASSED       | PASSED     | andrewsh  | [38](https://lava.collabora.co.uk/scheduler/job/1332295) [39](https://lava.collabora.co.uk/scheduler/job/1332302) [40](https://lava.collabora.co.uk/scheduler/job/1332339) [41](https://lava.collabora.co.uk/scheduler/job/1332298) [42](https://lava.collabora.co.uk/scheduler/job/1332307) [43](https://lava.collabora.co.uk/scheduler/job/1332345) [44](https://lava.collabora.co.uk/scheduler/job/1332304)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| **DBus**                                                                                                                        |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [check-dbus-services](https://git.apertis.org/cgit/apertis-tests.git/tree/dbus/check-dbus-services.yaml)                        | Check that all activatable D-Bus services use systemd, and that they can be started.                                                                                                                                                                                                                       | Integrated     | PARTIAL     | PARTIAL           | PARTIAL       | PARTIAL       | PARTIAL    | PARTIAL      | PARTIAL    | andrewsh  | [45](https://lava.collabora.co.uk/scheduler/job/1332295) [46](https://lava.collabora.co.uk/scheduler/job/1332302) [47](https://lava.collabora.co.uk/scheduler/job/1332339) [48](https://lava.collabora.co.uk/scheduler/job/1332298) [49](https://lava.collabora.co.uk/scheduler/job/1332307) [50](https://lava.collabora.co.uk/scheduler/job/1332345) [51](https://lava.collabora.co.uk/scheduler/job/1332304)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| [dbus-dos-reply-time](https://wiki.apertis.org/QA/Test%20Cases/dbus-dos-reply-time)                                             | Check the reply time of a few D-Bus method calls while dbus-daemon is loaded by D-Bus traffic.                                                                                                                                                                                                             | Integrated     | bgcolor= |  | bgcolor= |        | bgcolor= |    | bgcolor= |    | PASSED     | PASSED       | PASSED     | andrewsh  | [52](https://lava.collabora.co.uk/scheduler/job/1332298) [53](https://lava.collabora.co.uk/scheduler/job/1332307) [54](https://lava.collabora.co.uk/scheduler/job/1332345)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| **Library modules**                                                                                                             |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [canterbury](https://wiki.apertis.org/QA/Test%20Cases/library-modules)                                                          | Run the automated test for the library: canterbury                                                                                                                                                                                                                                                         | Integrated     | N/A         | N/A               | N/A           | N/A           | PASSED     | PASSED       | PASSED     | andrewsh  | [55](https://lava.collabora.co.uk/scheduler/job/1332300) [56](https://lava.collabora.co.uk/scheduler/job/1332309) [57](https://lava.collabora.co.uk/scheduler/job/1332347)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| [didcot](https://wiki.apertis.org/QA/Test%20Cases/didcot-service)                                                               | Run the automated test for the library: didcot                                                                                                                                                                                                                                                             | Integrated     | N/A         | N/A               | N/A           | N/A           | PASSED     | PASSED       | PASSED     | andrewsh  | [58](https://lava.collabora.co.uk/scheduler/job/1332300) [59](https://lava.collabora.co.uk/scheduler/job/1332309) [60](https://lava.collabora.co.uk/scheduler/job/1332347)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| [frome](https://wiki.apertis.org/QA/Test%20Cases/library-modules)                                                               | Run the automated test for the library: frome                                                                                                                                                                                                                                                              | Integrated     | N/A         | N/A               | N/A           | N/A           | FAILED     | FAILED       | FAILED     | andrewsh  | [61](https://lava.collabora.co.uk/scheduler/job/1332300) [62](https://lava.collabora.co.uk/scheduler/job/1332309) [63](https://lava.collabora.co.uk/scheduler/job/1332347)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| [newport](https://wiki.apertis.org/QA/Test%20Cases/library-modules)                                                             | Run the automated test for the library: newport                                                                                                                                                                                                                                                            | Integrated     | N/A         | N/A               | N/A           | N/A           | PASSED     | PASSED       | FAILED     | andrewsh  | [64](https://lava.collabora.co.uk/scheduler/job/1332300) [65](https://lava.collabora.co.uk/scheduler/job/1332309) [66](https://lava.collabora.co.uk/scheduler/job/1332347)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| [ribchester](https://wiki.apertis.org/QA/Test%20Cases/library-modules)                                                          | Run the automated test for the library: ribchester                                                                                                                                                                                                                                                         | Integrated     | N/A         | N/A               | N/A           | N/A           | PARTIAL    | PARTIAL      | PARTIAL    | andrewsh  | [67](https://lava.collabora.co.uk/scheduler/job/1332300) [68](https://lava.collabora.co.uk/scheduler/job/1332309) [69](https://lava.collabora.co.uk/scheduler/job/1332347)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| [rhosydd](https://wiki.apertis.org/QA/Test%20Cases/library-modules)                                                             | Run the automated test for the library: rhosydd                                                                                                                                                                                                                                                            | Integrated     | N/A         | N/A               | N/A           | N/A           | PASSED     | PASSED       | PASSED     | andrewsh  | [70](https://lava.collabora.co.uk/scheduler/job/1332300) [71](https://lava.collabora.co.uk/scheduler/job/1332309) [72](https://lava.collabora.co.uk/scheduler/job/1332347)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| [traprain](https://wiki.apertis.org/QA/Test%20Cases/library-modules)                                                            | Run the automated test for the library: traprain                                                                                                                                                                                                                                                           | Integrated     | N/A         | N/A               | N/A           | N/A           | FAILED     | FAILED       | FAILED     | andrewsh  | [73](https://lava.collabora.co.uk/scheduler/job/1332300) [74](https://lava.collabora.co.uk/scheduler/job/1332309) [75](https://lava.collabora.co.uk/scheduler/job/1332347)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| **Networking**                                                                                                                  |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [bluez-avrcp-volume](https://wiki.apertis.org/QA/Test%20Cases/bluez-avrcp-volume)                                               | Test the AVRCP volume up and down commands.                                                                                                                                                                                                                                                                | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [bluez-phone](https://wiki.apertis.org/QA/Test%20Cases/bluez-phone)                                                             | Test all BlueZ features needing interaction with a phone (Pairing, OBEX, PBAP, AVRCP, A2DP, HSP, HFP, PAN).                                                                                                                                                                                                | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [bluez-setup](https://wiki.apertis.org/QA/Test%20Cases/bluez-setup)                                                             | Test setup of Bluetooth stack by running basic tests using hciconfig. Check if the interface can be brought up/down, can be changed of mode and can discover devices.                                                                                                                                      | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [connman](https://wiki.apertis.org/QA/Test%20Cases/connman)                                                                     | Runs some automated tests using the ConnMan D-Bus API. It guarantees most of the basic features are working.                                                                                                                                                                                               | Integrated     | PASSED      | PASSED            | PASSED        | PASSED        | PASSED     | PASSED       | PASSED     | andrewsh  | [76](https://lava.collabora.co.uk/scheduler/job/1332295) [77](https://lava.collabora.co.uk/scheduler/job/1332302) [78](https://lava.collabora.co.uk/scheduler/job/1332339) [79](https://lava.collabora.co.uk/scheduler/job/1332298) [80](https://lava.collabora.co.uk/scheduler/job/1332307) [81](https://lava.collabora.co.uk/scheduler/job/1332345) [82](https://lava.collabora.co.uk/scheduler/job/1332304)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| [connman-new-supplicant](https://wiki.apertis.org/QA/Test%20Cases/connman-new-supplicant)                                       | Test the wpa_supplicant interface.                                                                                                                                                                                                                                                                        | Integrated     | bgcolor= |  | bgcolor= |        | bgcolor= |    | bgcolor= |    | PASSED     | PASSED       | PASSED     | andrewsh  | [83](https://lava.collabora.co.uk/scheduler/job/1332298) [84](https://lava.collabora.co.uk/scheduler/job/1332307) [85](https://lava.collabora.co.uk/scheduler/job/1332345)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| [connman-pan-tethering](https://wiki.apertis.org/QA/Test%20Cases/connman-pan-tethering)                                         | Test ConnMan support for PAN connectivity.                                                                                                                                                                                                                                                                 | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [connman-pan-network-access](https://wiki.apertis.org/QA/Test%20Cases/connman-pan-network-access)                               | Test ConnMan support for bluetooth PAN Network Access Profile.                                                                                                                                                                                                                                             | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [connman-services](https://wiki.apertis.org/QA/Test%20Cases/connman-services)                                                   | Tests ConnMan services.                                                                                                                                                                                                                                                                                    | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [connman-usb-tethering](https://wiki.apertis.org/QA/Test%20Cases/connman-usb-tethering)                                         | Test ConnMan support for USB tethering (connection side).                                                                                                                                                                                                                                                  | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [ofono-sms-receive](https://wiki.apertis.org/QA/Test%20Cases/ofono-sms-receive)                                                 | Test receiving SMS messages with oFono.                                                                                                                                                                                                                                                                    | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [ofono-sms-send](https://wiki.apertis.org/QA/Test%20Cases/ofono-sms-send)                                                       | Test sending of SMS with oFono.                                                                                                                                                                                                                                                                            | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| **Folks**                                                                                                                       |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [folks-alias-persistence](https://wiki.apertis.org/QA/Test%20Cases/folks-alias-persistence)                                     | Ensures user-set contact aliases persist.                                                                                                                                                                                                                                                                  | Integrated     | N/A         | N/A               | N/A           | N/A           | FAILED     | FAILED       | FAILED     | andrewsh  | [86](https://lava.collabora.co.uk/scheduler/job/1332299) [87](https://lava.collabora.co.uk/scheduler/job/1332308) [88](https://lava.collabora.co.uk/scheduler/job/1332346)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| [folks-eds-compatibility](https://wiki.apertis.org/QA/Test%20Cases/folks-eds-compatibility)                                     | Checks that contacts created within Evolution Data Server (as will happen when phone contacts get synchronized to an Apertis machine) show up in other contact-based programs.                                                                                                                             | Integrated     | N/A         | N/A               | N/A           | N/A           | PASSED     | PASSED       | FAILED     | andrewsh  | [89](https://lava.collabora.co.uk/scheduler/job/1332299) [90](https://lava.collabora.co.uk/scheduler/job/1332308) [91](https://lava.collabora.co.uk/scheduler/job/1332346)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| [folks-metacontacts-linking](https://wiki.apertis.org/QA/Test%20Cases/folks-metacontacts-linking)                               | Ensures linking meta-contacts works properly.                                                                                                                                                                                                                                                              | Integrated     | N/A         | N/A               | N/A           | N/A           | FAILED     | FAILED       | FAILED     | andrewsh  | [92](https://lava.collabora.co.uk/scheduler/job/1332299) [93](https://lava.collabora.co.uk/scheduler/job/1332308) [94](https://lava.collabora.co.uk/scheduler/job/1332346)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| [folks-metacontacts-unlinking](https://wiki.apertis.org/QA/Test%20Cases/folks-metacontacts-unlinking)                           | Ensures unlinking meta-contacts works properly.                                                                                                                                                                                                                                                            | Integrated     | N/A         | N/A               | N/A           | N/A           | FAILED     | FAILED       | FAILED     | andrewsh  | [95](https://lava.collabora.co.uk/scheduler/job/1332299) [96](https://lava.collabora.co.uk/scheduler/job/1332308) [97](https://lava.collabora.co.uk/scheduler/job/1332346)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| **SDK Development**                                                                                                             |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [sdk-ide-build-run-program](https://wiki.apertis.org/QA/Test%20Cases/sdk-ide-build-run-program)                                 | Creates a simple test project and confirms that compiling and executing work.                                                                                                                                                                                                                              | Not Integrated | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| **Apparmor Basic**                                                                                                              |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [apparmor-basic-profiles](https://wiki.apertis.org/QA/Test%20Cases/apparmor-basic-profiles)                                     | Test basic apparmor profiles. Only parsing and syntax of profiles are tested for now.                                                                                                                                                                                                                      | Integrated     | bgcolor= |  | bgcolor= |        | bgcolor= |    | bgcolor= |    | PASSED     | PASSED       | PASSED     | andrewsh  | [98](https://lava.collabora.co.uk/scheduler/job/1332297) [99](https://lava.collabora.co.uk/scheduler/job/1332306) [100](https://lava.collabora.co.uk/scheduler/job/1332344)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| **CGroups**                                                                                                                     |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [cgroups-resource-control](https://wiki.apertis.org/QA/Test%20Cases/cgroups-resource-control)                                   | Run cgroup resource control tests                                                                                                                                                                                                                                                                          | Integrated     | bgcolor= |  | bgcolor= |        | bgcolor= |    | bgcolor= |    | PARTIAL    | PARTIAL      | PASSED     | andrewsh  | [101](https://lava.collabora.co.uk/scheduler/job/1332298) [102](https://lava.collabora.co.uk/scheduler/job/1332307) [103](https://lava.collabora.co.uk/scheduler/job/1332345)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| **SDK**                                                                                                                         |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [ade-command](https://wiki.apertis.org/QA/Test%20Cases/ade-command)                                                             | Checks basic test coverage of the ade tool. Tests ade command, sub-command and options and arguments.                                                                                                                                                                                                      | Integrated     | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [sdk-ade-remote-debugging](https://wiki.apertis.org/QA/Test%20Cases/sdk-ade-remote-debugging)                                   | Checks `ade debug` remote debugging functionality by connecting to a remote target running gdbserver                                                                                                                                                                                                       | Manual         | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [sdk-performance-tools-gprof-smoke-test](https://wiki.apertis.org/QA/Test%20Cases/sdk-performance-tools-gprof-smoke-test)       | Checks basic gprof functionality by ensuring a CPU-intensive program shows up in its log as consuming the vast majority of the CPU cycles.                                                                                                                                                                 | Integrated     | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          | PASSED     | andrewsh  | [104](https://lava.collabora.co.uk/scheduler/job/1332301)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| [sdk-performance-tools-sysprof-smoke-test](https://wiki.apertis.org/QA/Test%20Cases/sdk-performance-tools-sysprof-smoke-test)   | Checks basic sysprof functionality by ensuring a CPU-intensive program shows up in its log as consuming the vast majority of the CPU cycles.                                                                                                                                                               | Integrated     | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          | PASSED     | andrewsh  | [105](https://lava.collabora.co.uk/scheduler/job/1332301)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| [sdk-debug-tools-gdb-smoke-test](https://wiki.apertis.org/QA/Test%20Cases/sdk-debug-tools-gdb-smoke-test)                       | Checks basic gdb functionality by stopping a program at a set point and checking its backtrace matches expectations.                                                                                                                                                                                       | Integrated     | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          | PASSED     | andrewsh  | [106](https://lava.collabora.co.uk/scheduler/job/1332301)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| [sdk-debug-tools-strace-smoke-test](https://wiki.apertis.org/QA/Test%20Cases/sdk-debug-tools-strace-smoke-test)                 | Checks basic strace functionality by checking its output when run on a simple command line program.                                                                                                                                                                                                        | Integrated     | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          | PASSED     | andrewsh  | [107](https://lava.collabora.co.uk/scheduler/job/1332301)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| [sdk-debug-tools-valgrind-smoke-test](https://wiki.apertis.org/QA/Test%20Cases/sdk-debug-tools-valgrind-smoke-test)             | Checks basic valgrind functionality by running a program with and without memory leaks, ensuring expected results from valgrind.                                                                                                                                                                           | Integrated     | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          | PASSED     | andrewsh  | [108](https://lava.collabora.co.uk/scheduler/job/1332301)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| [sdk-dbus-tools-bustle-smoke-test](https://wiki.apertis.org/QA/Test%20Cases/sdk-dbus-tools-bustle-smoke-test)                   | Test that bustle-dbus-monitor shows services on the session bus.                                                                                                                                                                                                                                           | Not Integrated | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [sdk-dbus-tools-d-feet-smoke-test](https://wiki.apertis.org/QA/Test%20Cases/sdk-dbus-tools-d-feet-smoke-test)                   | Test that D-Feet both shows services on the session bus and that new services appear automatically.                                                                                                                                                                                                        | Not Integrated | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [sdk-code-analysis-tools-gcov-smoke-test](https://wiki.apertis.org/QA/Test%20Cases/sdk-code-analysis-tools-gcov-smoke-test)     | Checks basic gcov functionality by running a sample program a few different ways and ensuring that a sufficient portion of its code paths are executed                                                                                                                                                     | Integrated     | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          | PASSED     | andrewsh  | [109](https://lava.collabora.co.uk/scheduler/job/1332301)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| [sdk-code-analysis-tools-splint-smoke-test](https://wiki.apertis.org/QA/Test%20Cases/sdk-code-analysis-tools-splint-smoke-test) | Checks basic splint functionality by checking its output when run on a simple source file.                                                                                                                                                                                                                 | Integrated     | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          | PASSED     | andrewsh  | [110](https://lava.collabora.co.uk/scheduler/job/1332301)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| [sdk-vb-fullscreen](https://wiki.apertis.org/QA/Test%20Cases/sdk-vb-fullscreen)                                                 | Tests that the SDK VM can be fullscreened in VirtualBox                                                                                                                                                                                                                                                    | Not Integrated | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| **Eclipse**                                                                                                                     |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [eclipse-sysroot-management](https://wiki.apertis.org/QA/Test%20Cases/eclipse-plugins)                                          | Test sysroot management and update within Eclipse. It will go through configuring an existing sysroot in Eclipse, and then updating it from the web with the latest version.                                                                                                                               | Not Integrated | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [eclipse-install-to-target](https://wiki.apertis.org/QA/Test%20Cases/eclipse-plugins-install-to-target)                         | Test copying files to the remote device from within Eclipse. It will create a dummy project and then create a configuration to copy the binary file to a remote device and debug it remotely using Eclipse.                                                                                                | Not Integrated | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [eclipse-remote-debugging](https://wiki.apertis.org/QA/Test%20Cases/eclipse-plugins-remote-debugging)                           | Test remote debugging within Eclipse. It will create a dummy project and then create a configuration to copy the binary file to a remote device and debug it remotely using Eclipse.                                                                                                                       | Not Integrated | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| **Contacts**                                                                                                                    |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [evolution-sync-bluetooth](https://wiki.apertis.org/QA/Test%20Cases/evolution-sync-bluetooth)                                   | Synchronizing Bluetooth-paired phone contacts to Evolution.                                                                                                                                                                                                                                                | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [folks-metacontacts-antilinking](https://wiki.apertis.org/QA/Test%20Cases/folks-metacontacts-antilinking)                       | Ensures anti-linking meta-contacts works properly.                                                                                                                                                                                                                                                         | Integrated     | N/A         | N/A               | N/A           | N/A           | FAILED     | FAILED       | FAILED     | andrewsh  | [111](https://lava.collabora.co.uk/scheduler/job/1332299) [112](https://lava.collabora.co.uk/scheduler/job/1332308) [113](https://lava.collabora.co.uk/scheduler/job/1332346)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| **Connectivity**                                                                                                                |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [bluez-hfp](https://wiki.apertis.org/QA/Test%20Cases/bluez-hfp)                                                                 | Test Hands Free Profile (HFP) BlueZ feature.                                                                                                                                                                                                                                                               | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [rfkill-toggle](https://wiki.apertis.org/QA/Test%20Cases/rfkill-toggle)                                                         | Test that rfkill is functional.                                                                                                                                                                                                                                                                            | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [telepathy-ring](https://wiki.apertis.org/QA/Test%20Cases/telepathy-ring)                                                       | Support making and receiving phone calls in Telepathy manually, with a bluetooth-paired phone.                                                                                                                                                                                                             | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [telepathy-ring-automated](https://wiki.apertis.org/QA/Test%20Cases/telepathy-ring-automated)                                   | Support making and receiving phone calls in Telepathy.                                                                                                                                                                                                                                                     | Integrated     | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          | FAILED     | andrewsh  | [114](https://lava.collabora.co.uk/scheduler/job/1332301)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| **Contacts**                                                                                                                    |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [folks-ofono-backend](https://wiki.apertis.org/QA/Test%20Cases/folks-ofono-backend)                                             | Reading contacts from 3G modem SIM card.                                                                                                                                                                                                                                                                   | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [folks-search-contacts](https://wiki.apertis.org/QA/Test%20Cases/folks-search-contacts)                                         | Ensures that Folks can correctly search contacts.                                                                                                                                                                                                                                                          | Integrated     | N/A         | N/A               | N/A           | N/A           | FAILED     | FAILED       | FAILED     | andrewsh  | [115](https://lava.collabora.co.uk/scheduler/job/1332299) [116](https://lava.collabora.co.uk/scheduler/job/1332308) [117](https://lava.collabora.co.uk/scheduler/job/1332346)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| [abstract-contact-addressbook-creation](https://wiki.apertis.org/QA/Test%20Cases/abstract-contact-addressbook-creation)         | A way to be able to create abstract addressbook is needed in SyncEvolution, so that separate addressbooks can be created for each paired device.                                                                                                                                                           | Integrated     | N/A         | N/A               | N/A           | N/A           | PASSED     | PASSED       | FAILED     | andrewsh  | [118](https://lava.collabora.co.uk/scheduler/job/1332299) [119](https://lava.collabora.co.uk/scheduler/job/1332308) [120](https://lava.collabora.co.uk/scheduler/job/1332346)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| [folks-sync-only](https://wiki.apertis.org/QA/Test%20Cases/folks-sync-only)                                                     | Test SYNCHRONIZE_ONLY flag for persona stores in Folks.                                                                                                                                                                                                                                                   | Integrated     | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          | FAILED     | andrewsh  | [121](https://lava.collabora.co.uk/scheduler/job/1332301)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| [storage-arbitrary-data-contacts](https://wiki.apertis.org/QA/Test%20Cases/storage-of-arbitrary-data-in-contacts)               | Support for storing arbitrary data in contacts in Folks.                                                                                                                                                                                                                                                   | Integrated     | N/A         | N/A               | N/A           | N/A           | PASSED     | PASSED       | FAILED     | andrewsh  | [122](https://lava.collabora.co.uk/scheduler/job/1332299) [123](https://lava.collabora.co.uk/scheduler/job/1332308) [124](https://lava.collabora.co.uk/scheduler/job/1332346)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| **Multimedia**                                                                                                                  |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [webkit2gtk-gstreamer1.0](https://wiki.apertis.org/QA/Test%20Cases/webkit2gtk-gstreamer1.0)                                     | Tests html5 video playback with GStreamer 1.0 in WebKit2GTK                                                                                                                                                                                                                                                | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [traffic-control-basic](https://wiki.apertis.org/QA/Test%20Cases/traffic-control-basic)                                         | Test basic traffic control support. This test does not use tcmmd but it could catch missing support in the kernel or misbehaving traffic control.                                                                                                                                                          | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [video-animation-on-boot](https://wiki.apertis.org/QA/Test%20Cases/video-animation-on-boot)                                     | Test whether Plymouth is able to display a graphical theme.                                                                                                                                                                                                                                                | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| **Robustness**                                                                                                                  |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [glib-gio-fs](https://wiki.apertis.org/QA/Test%20Cases/glib-gio-fs)                                                             | Run the GLib gio tests that do I/O on the local filesystem.                                                                                                                                                                                                                                                | Integrated     | PASSED      | PASSED            | PASSED        | PASSED        | PASSED     | PASSED       | PASSED     | andrewsh  | [125](https://lava.collabora.co.uk/scheduler/job/1332295) [126](https://lava.collabora.co.uk/scheduler/job/1332302) [127](https://lava.collabora.co.uk/scheduler/job/1332339) [128](https://lava.collabora.co.uk/scheduler/job/1332298) [129](https://lava.collabora.co.uk/scheduler/job/1332307) [130](https://lava.collabora.co.uk/scheduler/job/1332345) [131](https://lava.collabora.co.uk/scheduler/job/1332304)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| **Security**                                                                                                                    |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [apparmor](https://wiki.apertis.org/QA/Test%20Cases/apparmor)                                                                   | Functional testing for AppArmor functionalities.                                                                                                                                                                                                                                                           | Integrated     | bgcolor= |  | bgcolor= |        | bgcolor= |    | bgcolor= |    | PARTIAL    | PARTIAL      | PARTIAL    | andrewsh  | [132](https://lava.collabora.co.uk/scheduler/job/1332297) [133](https://lava.collabora.co.uk/scheduler/job/1332306) [134](https://lava.collabora.co.uk/scheduler/job/1332344)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| [apparmor-chaiwala-system](https://wiki.apertis.org/QA/Test%20Cases/apparmor-chaiwala-system)                                   | Test that AppArmor's system wide rules works according to Apertis security goals.                                                                                                                                                                                                                          | Integrated     | bgcolor= |  | bgcolor= |        | bgcolor= |    | bgcolor= |    | PASSED     | PASSED       | PASSED     | andrewsh  | [135](https://lava.collabora.co.uk/scheduler/job/1332297) [136](https://lava.collabora.co.uk/scheduler/job/1332306) [137](https://lava.collabora.co.uk/scheduler/job/1332344)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| [apparmor-functional-demo](https://wiki.apertis.org/QA/Test%20Cases/apparmor-functional-demo)                                   | Show some main AppArmor functionalities, like transitions, net access or resource permissions, under the form of tests.                                                                                                                                                                                    | Integrated     | bgcolor= |  | bgcolor= |        | bgcolor= |    | bgcolor= |    | PASSED     | PASSED       | PASSED     | andrewsh  | [138](https://lava.collabora.co.uk/scheduler/job/1332297) [139](https://lava.collabora.co.uk/scheduler/job/1332306) [140](https://lava.collabora.co.uk/scheduler/job/1332344)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| [apparmor-utils](https://wiki.apertis.org/QA/Test%20Cases/apparmor-utils)                                                       | Test apparmor_parser and other tools in apparmor package can be executed.                                                                                                                                                                                                                                 | Integrated     | bgcolor= |  | bgcolor= |        | bgcolor= |    | bgcolor= |    | PARTIAL    | PARTIAL      | PARTIAL    | andrewsh  | [141](https://lava.collabora.co.uk/scheduler/job/1332297) [142](https://lava.collabora.co.uk/scheduler/job/1332306) [143](https://lava.collabora.co.uk/scheduler/job/1332344)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| [apparmor-session-lockdown-no-deny](https://wiki.apertis.org/QA/Test%20Cases/apparmor-session-lockdown-no-deny)                 | Test that the session lockdown profile is not blocking more than it should                                                                                                                                                                                                                                 | Integrated     | bgcolor= |  | bgcolor= |        | bgcolor= |    | bgcolor= |    | bgcolor= | | bgcolor= |   | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [apparmor-gstreamer1.0](https://wiki.apertis.org/QA/Test%20Cases/apparmor-gstreamer1.0)                                         | Test that AppArmor profiles provided in GStreamer 1.0 works without Auditd complaining                                                                                                                                                                                                                     | Integrated     | bgcolor= |  | bgcolor= |        | bgcolor= |    | bgcolor= |    | FAILED     | FAILED       | FAILED     | andrewsh  | [144](https://lava.collabora.co.uk/scheduler/job/1332297) [145](https://lava.collabora.co.uk/scheduler/job/1332306) [146](https://lava.collabora.co.uk/scheduler/job/1332344)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| [apparmor-pulseaudio](https://wiki.apertis.org/QA/Test%20Cases/apparmor-pulseaudio)                                             | Test that AppArmor profiles provided in PulseAudio 2.1 work without Auditd complaining.                                                                                                                                                                                                                    | Integrated     | bgcolor= |  | bgcolor= |        | bgcolor= |    | bgcolor= |    | FAILED     | FAILED       | FAILED     | andrewsh  | [147](https://lava.collabora.co.uk/scheduler/job/1332297) [148](https://lava.collabora.co.uk/scheduler/job/1332306) [149](https://lava.collabora.co.uk/scheduler/job/1332344)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| [apparmor-bluez-automated](https://wiki.apertis.org/QA/Test%20Cases/apparmor-bluez-automated)                                   | Test AppArmor profile for support for SPP profile (bluez-spp) and core functionalities (bluez-core).                                                                                                                                                                                                       | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | N/A        |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [apparmor-bluez-avrcp-volume](https://wiki.apertis.org/QA/Test%20Cases/apparmor-bluez-avrcp-volume)                             | Test AppArmor profile for Bluez AVRCP volume up and down commands.                                                                                                                                                                                                                                         | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | N/A        |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [apparmor-bluez-setup](https://wiki.apertis.org/QA/Test%20Cases/apparmor-bluez-setup)                                           | Test AppArmor profiles for setting up of Bluetooth stack by running basic tests using hciconfig. Check if the interface can be brought up/down, can be changed of mode and can discover devices.                                                                                                           | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | N/A        |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [apparmor-folks](https://wiki.apertis.org/QA/Test%20Cases/apparmor-folks)                                                       | Test that AppArmor profiles provided in Folks package work without unexpected auditd log entries.                                                                                                                                                                                                          | Integrated     | bgcolor= |  | bgcolor= |        | bgcolor= |    | bgcolor= |    | FAILED     | FAILED       | FAILED     | andrewsh  | [150](https://lava.collabora.co.uk/scheduler/job/1332297) [151](https://lava.collabora.co.uk/scheduler/job/1332306) [152](https://lava.collabora.co.uk/scheduler/job/1332344)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| [apparmor-geoclue](https://wiki.apertis.org/QA/Test%20Cases/apparmor-geoclue)                                                   | Test that geoclue apparmor profiles are working properly                                                                                                                                                                                                                                                   | Integrated     | bgcolor= |  | bgcolor= |        | bgcolor= |    | bgcolor= |    | PASSED     | PASSED       | FAILED     | andrewsh  | [153](https://lava.collabora.co.uk/scheduler/job/1332297) [154](https://lava.collabora.co.uk/scheduler/job/1332306) [155](https://lava.collabora.co.uk/scheduler/job/1332344)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| [apparmor-ofono](https://wiki.apertis.org/QA/Test%20Cases/apparmor-ofono)                                                       | Test that AppArmor profiles provided in ofono package work without unexpected auditd log entries.                                                                                                                                                                                                          | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | N/A        |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [apparmor-tracker](https://wiki.apertis.org/QA/Test%20Cases/apparmor-tracker)                                                   | Tests that the tracker abstraction and tracker profiles don't cause false negatives and that it does not allow arbitrary reading of files in the home directory.                                                                                                                                           | Integrated     | bgcolor= |  | bgcolor= |        | bgcolor= |    | bgcolor= |    | FAILED     | FAILED       | FAILED     | andrewsh  | [156](https://lava.collabora.co.uk/scheduler/job/1332297) [157](https://lava.collabora.co.uk/scheduler/job/1332306) [158](https://lava.collabora.co.uk/scheduler/job/1332344)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| [apparmor-tumbler](https://wiki.apertis.org/QA/Test%20Cases/apparmor-tumbler)                                                   | Tests that the tumbler profile doesn't cause false negatives and that it does not allow arbitrary reading of files in the home directory.                                                                                                                                                                  | Integrated     | bgcolor= |  | bgcolor= |        | bgcolor= |    | bgcolor= |    | bgcolor= | | bgcolor= |   | FAILED     | andrewsh  | [159](https://lava.collabora.co.uk/scheduler/job/1332301)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| [iptables-basic](https://wiki.apertis.org/QA/Test%20Cases/iptables-basic)                                                       | Test the firewall automatically.                                                                                                                                                                                                                                                                           | Integrated     | PASSED      | PASSED            | PASSED        | PASSED        | PASSED     | PASSED       | PASSED     | andrewsh  | [160](https://lava.collabora.co.uk/scheduler/job/1332295) [161](https://lava.collabora.co.uk/scheduler/job/1332302) [162](https://lava.collabora.co.uk/scheduler/job/1332339) [163](https://lava.collabora.co.uk/scheduler/job/1332298) [164](https://lava.collabora.co.uk/scheduler/job/1332307) [165](https://lava.collabora.co.uk/scheduler/job/1332345) [166](https://lava.collabora.co.uk/scheduler/job/1332304)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| [iptables-nmap](https://wiki.apertis.org/QA/Test%20Cases/iptables-nmap)                                                         | Test the firewall using nmap from another computer.                                                                                                                                                                                                                                                        | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [apparmor-dbus](https://wiki.apertis.org/QA/Test%20Cases/apparmor-dbus)                                                         | Functional testing for AppArmor D-Bus mediation.                                                                                                                                                                                                                                                           | Integrated     | bgcolor= |  | bgcolor= |        | bgcolor= |    | bgcolor= |    | PASSED     | PASSED       | bgcolor= | | andrewsh  | [167](https://lava.collabora.co.uk/scheduler/job/1332306) [168](https://lava.collabora.co.uk/scheduler/job/1332344)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| **System Update**                                                                                                               |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [boot-performance](https://wiki.apertis.org/QA/Test%20Cases/boot-performance)                                                   | Test boot performance.                                                                                                                                                                                                                                                                                     | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | N/A        |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [boot-performance-automated](https://wiki.apertis.org/QA/Test%20Cases/boot-performance-automated)                               | Test boot performance.                                                                                                                                                                                                                                                                                     | Integrated     | PASSED      | PASSED            | PASSED        | PASSED        | PASSED     | PASSED       | PASSED     | andrewsh  | [169](https://lava.collabora.co.uk/scheduler/job/1332295) [170](https://lava.collabora.co.uk/scheduler/job/1332302) [171](https://lava.collabora.co.uk/scheduler/job/1332339) [172](https://lava.collabora.co.uk/scheduler/job/1332298) [173](https://lava.collabora.co.uk/scheduler/job/1332307) [174](https://lava.collabora.co.uk/scheduler/job/1332345) [175](https://lava.collabora.co.uk/scheduler/job/1332304)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| **Webkit**                                                                                                                      |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [webkit2gtk-aligned-scroll](https://wiki.apertis.org/QA/Test%20Cases/webkit2gtk-aligned-scroll)                                 | Test that scrolling is pinned in a given direction when started mostly towards it.                                                                                                                                                                                                                         | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | N/A        |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [webkit2gtk-lazy-click](https://wiki.apertis.org/QA/Test%20Cases/webkit2gtk-lazy-click)                                         | Test touch adjustment (lazy click) support in WebKit2GTK                                                                                                                                                                                                                                                   | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [webkit2gtk-drag-and-drop](https://wiki.apertis.org/QA/Test%20Cases/webkit2gtk-drag-and-drop)                                   | Test HTML5 drag-and-drop support in WebKit2GTK                                                                                                                                                                                                                                                             | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [webkit2gtk-contextual-zoom](https://wiki.apertis.org/QA/Test%20Cases/webkit2gtk-contextual-zoom)                               | This test case is about zooming parts of a web page to make it easier to read on devices with limited screen area. The scope of the test is the zooming functionality that takes into account the content in the clicked area, other functionality that belongs to a real browser isn't to be tested here. | Not Integrated | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | bgcolor= | |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
|                                                                                                                                 |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
|                                                                                                                                 |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
|                                                                                                                                 | PASSED - All tests passed.                                                                                                                                                                                                                                                                                 |                |             |                   |               |               |            |              |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
|                                                                                                                                 | PARTIAL - Tests mostly passed, with some minor problems.                                                                                                                                                                                                                                                   |                |             |                   |               |               |            |              |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
|                                                                                                                                 | FAILED - One or more tests failed.                                                                                                                                                                                                                                                                         |                |             |                   |               |               |            |              |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
|                                                                                                                                 | NOT TESTED - Test not run due to some issue, like WIP, Disabled, lacking proper hardware.                                                                                                                                                                                                                  |                |             |                   |               |               |            |              |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
|                                                                                                                                 |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
|                                                                                                                                 |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
|                                                                                                                                 | CRITICAL test case - release blocker                                                                                                                                                                                                                                                                       |                |             |                   |               |               |            |              |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
|                                                                                                                                 | HIGH priority test case - must be tested every week                                                                                                                                                                                                                                                        |                |             |                   |               |               |            |              |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
|                                                                                                                                 | MEDIUM priority test case - must be tested at least every other week                                                                                                                                                                                                                                       |                |             |                   |               |               |            |              |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
|                                                                                                                                 | LOW priority test case - test when possible                                                                                                                                                                                                                                                                |                |             |                   |               |               |            |              |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
|                                                                                                                                 |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |            |           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |

[Test Reports]( {{< ref "/qa/weekly_tests" >}} )
